Fork me on GitHub"

# skbio.metadata.IntervalMetadata.add

IntervalMetadata.add(bounds, fuzzy=None, metadata=None)

  Create and add an `Interval` to this `IntervalMetadata`.

  State: Experimental as of 0.5.1.

  This method creates an `Interval` object and inserts it into the `IntervalMetadata` object.

  Parameters:

    - bounds (iterable of tuple of ints) – Tuples representing start and end coordinates. It is zero-based numbering. It is always inclusive on start bound and exclusive on end bound.

    - fuzzy (iterable of tuple of bool, optional) – Tuples representing the fuzziness of each bound coordinates.

    - metadata (dict, optional) – A dictionary of key-value pairs associated with the `Interval` object.

  Returns:

    The `Interval` object added.

  Return type:

    Interval

  See also

  `skbio.metadata.Interval`